<?php
/**
 * phpaga
 *
 * Product categories
 *
 * This is the product categories management interface.
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: prodcats.php 843 2007-08-30 17:16:32Z florian $
 *
 * Copyright (c) 2005, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once('./config.php');
phpaga_user_pageperm(PHPAGA_PERM_MANAGE_SYSSETTINGS);

$rows = array();
$prodcat_title = '';

phpaga_header(array('menuitem' => 'administration'));

if (isset ($_REQUEST['action']) && strlen ($_REQUEST['action']))
{

    switch ($_REQUEST['action'])
    {

        case ACTION_ADD:

            if (isset($_REQUEST['prodcat_title']) && strlen($_REQUEST['prodcat_title'])) {

                $result = phpaga_products_addProdcat($_REQUEST['prodcat_title']);

                if (PhPagaError::isError($result)) {
                    phpaga_error($result);
                    $prodcat_title = $_REQUEST['prodcat_title'];
                } else
                    phpaga_message(_('Product category added'), _('The product category has been inserted successfully.'));
            }
            break;

        case ACTION_DELETE:

            if (isset ($_REQUEST['id']) && strlen ($_REQUEST['id'])) {

                $result = phpaga_products_deleteProdcat($_REQUEST['id']);

                if (PhPagaError::isError($result)) {

                    if ($result->getCode() == PHPAGA_ERR_DEL_DEPENDENCIES)
                        phpaga_error(_('The product category cannot be deleted, as it is still used by some products.'));
                    else
                        $result->printMessage();
                } else {
                    phpaga_message(_('Product category deleted'),
                                   _('The product category has been successfully deleted.'));
                }
            }
            break;


        default:
            break;
    }
}

$rows = phpaga_products_getProdcats();

if (PhPagaError::isError($rows))
    $rows->printMessage();

$prodcats_tpl = new psmarty;
$prodcats_tpl->assign('FORM_ACTION', basename($_SERVER['PHP_SELF']));
$prodcats_tpl->assign('prodcat_title', $prodcat_title);
$prodcats_tpl->assign('rows', $rows);
$prodcats_tpl->display('prodcats.tpl.html');

phpaga_footer();

?>